"use strict";
const Schema = require("mongoose").Schema;
const metaPlugin = require("naf-framework-mongoose/lib/model/meta-plugin");

// 类型
const imageArray = new Schema({
  url: { type: String, required: false, maxLength: 500 }, // 图片路径
  // 1: { type: String, required: false, maxLength: 500 }, // 行业新闻
  // 2: { type: String, required: false, maxLength: 500 }, // 展会资讯
});

// 友情链接表
const business = {
  company: { type: String, required: true, maxLength: 200 }, // 企业名称
  engCompany: { type: String, required: false, maxLength: 200 }, // 英文名称
  brief: { type: String, required: false, maxLength: 200 }, // 简介
  mobile: { type: String, required: false, maxLength: 500 }, // 统一热线
  address: { type: String, required: false, maxLength: 500 }, //地址
  weixin: { type: String, required: true, maxLength: 200 }, //微信
  gzh: { type: String, required: false, maxLength: 200 }, //公众号
  weibo: { type: String, required: false, maxLength: 200 }, //微博
  beian: { type: String, required: false, maxLength: 2000 }, // 备案
  image: { type: [imageArray], select: true }, // 图片
};

const schema = new Schema(business, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = (app) => {
  const { mongoose } = app;
  return mongoose.model("Business", schema, "business");
};
