"use strict";
const Schema = require("mongoose").Schema;
const metaPlugin = require("naf-framework-mongoose/lib/model/meta-plugin");

// // 答案详情
// const answerInfo = new Schema({
//   questionid: { type: String, required: false, maxLength: 200 }, // 问题id
//   answer: { type: String, required: false, maxLength: 200 }, // 答案
//   questionscore: { type: String, required: false, maxLength: 200 }, // 分数
// });

// 案例应用表
const caseapply = {
  name: { type: String, required: true, maxLength: 200 }, // 名称
  filepath: { type: String, required: false, maxLength: 200 }, // 图片路径
  create_time: { type: String, required: false, maxLength: 200 }, // 发布时间
  content: { type: String, required: false, maxLength: 500 }, // 内容
  brief: { type: String, required: false, maxLength: 500 }, // 简介
  // studentid: { type: String, required: true, maxLength: 200 }, // 学生id
  // picrul: { type: String, required: false, maxLength: 200 }, // 上传图片地址
  // taskid: { type: String, required: false, maxLength: 200 }, // 作业id
  // score: { type: String, required: false, maxLength: 2000 }, // 分数
  // answers: { type: [answerInfo], select: true }, // 回答详情
};

const schema = new Schema(caseapply, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = (app) => {
  const { mongoose } = app;
  return mongoose.model("Caseapply", schema, "caseapply");
};
