"use strict";
const Schema = require("mongoose").Schema;
const metaPlugin = require("naf-framework-mongoose/lib/model/meta-plugin");

// 类型
// const imageArray = new Schema({
//   url: { type: String, required: false, maxLength: 500 }, // 图片路径
//   // 1: { type: String, required: false, maxLength: 500 }, // 行业新闻
//   // 2: { type: String, required: false, maxLength: 500 }, // 展会资讯
// });

// 热点资讯表
const links = {
  name: { type: String, required: true, maxLength: 200 }, // 名称
  linkurl: { type: String, required: false, maxLength: 200 }, // 链接地址
  create_time: { type: String, required: false, maxLength: 200 }, // 发布时间
  // mobile: { type: String, required: false, maxLength: 500 }, // 统一热线
  // address: { type: String, required: false, maxLength: 500 }, //地址
  // weixin: { type: String, required: true, maxLength: 200 }, //微信
  // gzh: { type: String, required: false, maxLength: 200 }, //公众号
  // weibo: { type: String, required: false, maxLength: 200 }, //微博
  // beian: { type: String, required: false, maxLength: 2000 }, // 备案
  // image: { type: [imageArray], select: true }, // 图片
};

const schema = new Schema(links, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = (app) => {
  const { mongoose } = app;
  return mongoose.model("Links", schema, "links");
};
