"use strict";

const assert = require("assert");
const _ = require("lodash");
const { ObjectId } = require("mongoose").Types;
const { CrudService } = require("naf-framework-mongoose/lib/service");
const { BusinessError, ErrorCode } = require("naf-core").Error;

class BusinessService extends CrudService {
  constructor(ctx) {
    super(ctx, "business");
    this.model = this.ctx.model.Business;
    // this.umodel = this.ctx.model.User;
  }

  async create(data) {
    const { company } = data;
    assert(company, "名称不能为空");
    // assert(filepath, "路径不能为空");
    // assert(create_time, "时间不能为空");
    const user = [];
    for (const elm of company) {
      const n = await this.model.findById(elm);
      if (n) {
        user.push(n);
      }
    }
    data.company = user;
    return await this.model.create(data);
  }

  async delete({ company }) {
    await this.model.findByIdAndDelete(company);
    return "deleted";
  }

  async update({ company }, data) {
    const {
      endCompany,
      brief,
      image,
      mobile,
      address,
      weixin,
      gzh,
      weibo,
      beian,
    } = data;
    const res = await this.model.findById(company);
    // const res = await this.model.update({ _id: ObjectId(id) }, data);
    if (company) {
      res.company = company;
    }
    if (endCompany) {
      res.endCompany = endCompany;
    }
    if (brief) {
      res.brief = brief;
    }
    if (image) {
      res.image = image;
    }
    if (brief) {
      res.brief = brief;
    }
    if (mobile) {
      res.mobile = mobile;
    }
    if (address) {
      res.address = address;
    }
    if (weixin) {
      res.weixin = weixin;
    }
    if (gzh) {
      res.gzh = gzh;
    }
    if (weibo) {
      res.weibo = weibo;
    }
    if (beian) {
      res.beian = beian;
    }
    return await res.save();
  }

  async query({ company }) {
    const res = await this.model.findByIdAndDelete(company);
    return res;
  }
}

module.exports = BusinessService;
