'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class LunboService extends CrudService {
  constructor(ctx) {
    super(ctx, 'lunbo');
    this.model = this.ctx.model.Lunbo;
    // this.umodel = this.ctx.model.User;
  }

  async create(data) {
    const { name, filepath, create_time } = data;
    assert(name, '名称不能为空');
    assert(filepath, '路径不能为空');
    assert(create_time, '时间不能为空');
    const user = [];
    for (const elm of name) {
      const n = await this.model.findById(elm);
      if (n) {
        user.push(n);
      }
    }
    data.name = user;
    return await this.model.create(data);
  }


  async delete({ name }) {
    await this.model.findByIdAndDelete(name);
    return 'deleted';
  }

  async update({ name }, data) {
    const { filepath, create_time } = data;
    const res = await this.model.findById(name);
    // const res = await this.model.update({ _id: ObjectId(id) }, data);
    if (name) {
      res.name = name;
    }
    if (filepath) {
      res.filepath = filepath;
    }
    if (create_time) {
      res.create_time = create_time;
    }
    return await res.save();
  }

  async query({ name }) {
    const res = await this.model.findByIdAndDelete(name);
    return res;
  }
}

module.exports = LunboService;
